summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorPiotr Jaroszyński <peper@gentoo.org>2007-07-03 08:27:40 +0000
committerPiotr Jaroszyński <peper@gentoo.org>2007-07-03 08:27:40 +0000
commit8661a98668558b33dc4cd0d7cf8d8dd022d6954f (patch)
treed76cf40e9db74091359035d3a4f317c3cc2f2da6 /eclass
parentCorrect LICENSE. Remove redundant functions. (diff)
downloadgentoo-2-8661a98668558b33dc4cd0d7cf8d8dd022d6954f.tar.gz
gentoo-2-8661a98668558b33dc4cd0d7cf8d8dd022d6954f.tar.bz2
gentoo-2-8661a98668558b33dc4cd0d7cf8d8dd022d6954f.zip
Fix. sorry.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/subversion.eclass6
1 files changed, 3 insertions, 3 deletions
diff --git a/eclass/subversion.eclass b/eclass/subversion.eclass
index b9a97a015ae7..01c6054fd73b 100644
--- a/eclass/subversion.eclass
+++ b/eclass/subversion.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/subversion.eclass,v 1.43 2007/07/01 23:19:42 peper Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/subversion.eclass,v 1.44 2007/07/03 08:27:40 peper Exp $
## --------------------------------------------------------------------------- #
# Author: Akinori Hattori <hattya@gentoo.org>
@@ -172,7 +172,9 @@ function subversion_fetch() {
cd "${ESVN_PROJECT}" || die "${ESVN}: can't chdir to ${ESVN_PROJECT}"
${ESVN_FETCH_CMD} ${options} "${repo_uri}" || die "${ESVN}: can't fetch from ${repo_uri}."
+ subversion_wc_info "${repo_uri}" || die "${ESVN}: unknown problem occurred while accessing working copy."
else
+ subversion_wc_info "${repo_uri}" || die "${ESVN}: unknown problem occurred while accessing working copy."
if [ "${ESVN_WC_URL}" != "$(subversion__get_repository_uri "${repo_uri}" 1)" ]; then
die "${ESVN}: ESVN_REPO_URI (or specified URI) and working copy's URL are not matched."
fi
@@ -187,8 +189,6 @@ function subversion_fetch() {
${ESVN_UPDATE_CMD} ${options} || die "${ESVN}: can't update from ${repo_uri}."
fi
- subversion_wc_info "${repo_uri}" || die "${ESVN}: unknown problem occurred while accessing working copy."
-
einfo " working copy: ${wc_path}"
if ! has "export" ${ESVN_RESTRICT}; then